Skip to main content
GET
/
api
/
Event
/
{eventId}
/
Contacts
Get Event Contacts for an Event
curl --request GET \
  --url https://api.virtuoussoftware.com/api/Event/{eventId}/Contacts \
  --header 'Authorization: Bearer <token>'
{
  "list": [
    {
      "id": "<integer>",
      "eventContactUrl": "<string>",
      "createDateTimeUtc": "<dateTime>",
      "createdByUser": "<string>",
      "modifiedDateTimeUtc": "<dateTime>",
      "modifiedByUser": "<string>",
      "contactId": "<integer>",
      "contactUrl": "<string>",
      "displayName": "<string>",
      "firstName": "<string>",
      "avatarUrl": "<string>",
      "primaryPhone": "<string>",
      "primaryEmail": "<string>"
    },
    {
      "id": "<integer>",
      "eventContactUrl": "<string>",
      "createDateTimeUtc": "<dateTime>",
      "createdByUser": "<string>",
      "modifiedDateTimeUtc": "<dateTime>",
      "modifiedByUser": "<string>",
      "contactId": "<integer>",
      "contactUrl": "<string>",
      "displayName": "<string>",
      "firstName": "<string>",
      "avatarUrl": "<string>",
      "primaryPhone": "<string>",
      "primaryEmail": "<string>"
    }
  ],
  "total": "<integer>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

eventId
string
required

(Required) The event identifier.

Query Parameters

skip
string

The number of records to skip. Default = 0.

take
string

The number of records to take. Default = 10.

Response

200 - application/json

OK

list
object[]
total
string
Last modified on June 5, 2026